<?php

    function LoadImage($imgname)
    {
        /* Attempt to open */
        $im = @imagecreatefrompng($imgname);

        /* See if it failed */
        if(!$im)
        {
            /* Create a black image */
            $im  = imagecreatetruecolor(150, 30);
            $bgc = imagecolorallocate($im, 255, 255, 255);
            $tc  = imagecolorallocate($im, 0, 0, 0);

            imagefilledrectangle($im, 0, 0, 150, 30, $bgc);

            /* Output an error message */
            imagestring($im, 1, 5, 5, 'Error loading ' . $imgname, $tc);
        }

        return $im;
    }

    header('Content-Type: image/png');

    $img = LoadImage($_GET['file']);

    sleep($_GET['wait']);

    imagepng($img);
    imagedestroy($img);
?>